GDBserver

Public Attributes | List of all members
agent_expr Struct Reference

`#include "ax.h"`

## Public Attributes
int | length
unsigned char * | bytes

## Detailed Description

Definition at line 47 of file ax.h.

## Member Data Documentation

## ◆ bytes

unsigned char* agent_expr::bytes

Definition at line 51 of file ax.h.

Referenced by agent_expr_send(), clone_agent_expr(), compile_bytecodes(), gdb_eval_agent_expr(), gdb_free_agent_expr(), gdb_parse_agent_expr(), gdb_unparse_agent_expr(), and is_goto_target().

## ◆ length

int agent_expr::length

Definition at line 49 of file ax.h.

Referenced by agent_expr_send(), clone_agent_expr(), compile_bytecodes(), gdb_eval_agent_expr(), gdb_parse_agent_expr(), gdb_unparse_agent_expr(), is_goto_target(), and response_tracepoint().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbserver/ax.h